> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Item Columns



## OpenAPI

````yaml /openapi.json get /v1/item-columns
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /v1/item-columns:
    get:
      tags:
        - Item Columns
      summary: List Item Columns
      operationId: ItemColumnsController_findAll_v1
      parameters:
        - name: logicType
          required: false
          in: query
          schema:
            type: string
        - name: scopeType
          required: false
          in: query
          schema:
            type: string
        - name: categoryId
          required: false
          in: query
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ItemColumnResponseDto'
components:
  schemas:
    ItemColumnResponseDto:
      type: object
      properties:
        isCore:
          type: boolean
          deprecated: true
        id:
          type: string
        name:
          type: string
        slug:
          type: string
        type:
          enum:
            - text
            - number
            - percent
            - boolean
            - list
            - multiple_select
            - date
            - image
            - dimension
          type: string
        logicType:
          enum:
            - catalog_family
            - catalog_item
            - catalog_family_source
            - catalog_item_source
            - brand_standard
            - project_item
            - project_item_slot
          type: string
        scopeType:
          enum:
            - default
            - category
          type: string
        categoryIds:
          type: array
          items:
            type: string
        options:
          type: array
          items:
            type: object
        description:
          type: string
          nullable: true
        syncClass:
          enum:
            - core
            - commercial
            - descriptive
          type: string
        createdAt:
          type: string
        updatedAt:
          type: string
      required:
        - isCore
        - id
        - name
        - slug
        - type
        - logicType
        - scopeType
        - categoryIds
        - options
        - description
        - syncClass
        - createdAt
        - updatedAt

````